View Issue Details

IDProjectCategoryView StatusLast Update
0000066Far Manager 1.7xCommand Line/Executepublic2007-07-16 16:08
ReporterTSAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.70 
Summary0000066: Установка текущей сетевой папки, передаваемой FAR в комм. строке при его запуске
DescriptionИспользование след. комм. строки "Far.exe \\fs\public" не привеодит к установке фаром запрашиваемого каталога на его панели. При исользовании след. кода для запуска far он запускается с необх. текущим каталогом.

bool Exec(char *FileName,char *Params,char *Directory)
{
STARTUPINFO si;
PROCESS_INFORMATION pi;
//--------------------------------------------------
   ZeroMemory( &si, sizeof(si) );
   si.cb = sizeof(si);
   ZeroMemory( &pi, sizeof(pi) );

   if (!CreateProcess(FileName,Params,NULL,NULL,FALSE,NORMAL_PRIORITY_CLASS,NULL,Directory,&si,&pi))
       return false;
   else
   {
       WaitForSingleObject(pi.hProcess,INFINITE);
       CloseHandle( pi.hProcess );
       CloseHandle( pi.hThread );
       return true;
   }
}
TagsNo tags attached.
Build

Activities

alexy

2005-12-04 22:04

administrator   bugnote:0000052

глюк тут (MainProcess())
---------------
        strcpy(Path,DestName1);
        *PointToName(Path)=0;
---------------

т.е. far \\fs\public\ уже да зайдёт куда надо.

фикс тут http://farmanager.com/farbugs/mantis.66.rar

P.S. Я вот не знаю, стоит ли фиксить сам PointToName?

alexy

2005-12-05 10:03

administrator   bugnote:0000053

Вот тут точно работает
http://farmanager.com/farbugs/mantis.66-2.rar

alexy

2005-12-05 11:42

administrator   bugnote:0000054

Так, а тут с изменённым PointToName
http://farmanager.com/farbugs/mantis.66-3.rar

Issue History

Date Modified Username Field Change
2005-11-21 14:24 TS New Issue
2005-12-04 22:04 alexy Note Added: 0000052
2005-12-05 10:03 alexy Note Added: 0000053
2005-12-05 10:24 alexy Status new => assigned
2005-12-05 10:24 alexy Assigned To => alexy
2005-12-05 11:42 alexy Note Added: 0000054
2005-12-05 11:46 alexy Status assigned => resolved
2005-12-05 11:46 alexy Resolution open => fixed
2006-02-27 22:02 alexy Project Wishes => Far Manager 1.7x
2006-02-27 22:03 alexy Product Version => alpha 6
2006-02-27 22:03 alexy Fixed in Version => alpha 6
2007-07-16 16:08 alexy Status resolved => closed